package kr.gmtc.gw.eyegw.db1;

import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public class EaiIfCheckService {
    private EaiIfCheckMapper checkMapper;
    
    public EaiIfCheckService(EaiIfCheckMapper checkMapper){
        this.checkMapper = checkMapper;
    }
    
    public List<HashMap<String, Object>> getArtsArr() {
        return checkMapper.selectAarsArr();
    }
    
    public List<HashMap<String, Object>> getArtsDep() {
        return checkMapper.selectAarsDep();
    }
    
    public List<HashMap<String, Object>> getAcdmArr() {
        return checkMapper.selectAcdmArr();
    }
    public List<HashMap<String, Object>> getAcdmDep() {
        return checkMapper.selectAcdmDep();
    }
    
    public List<HashMap<String, Object>> getGam() {
        return checkMapper.selectGAM();
    }
    
    public List<HashMap<String, Object>> getAmos() {
        return checkMapper.selectAMOS();
    }
    
    public List<HashMap<String, Object>> getNotam() {
        return checkMapper.selectNOTAM();
    }
    
}
